http://macie2.{region}.amazonaws.com/membersRetrieves information about the accounts that are associated with an Amazon Macie administrator account.
The maximum number of items to include in each page of a paginated response.
The nextToken string that specifies which page of results to return in a paginated response.
Specifies which accounts to include in the response, based on the status of an account's relationship with the administrator account. By default, the response includes only current member accounts. To include all accounts, set this value to false.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://macie2.{region}.amazonaws.com/members' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://macie2.{region}.amazonaws.com/membersRetrieves information about the accounts that are associated with an Amazon Macie administrator account.
The maximum number of items to include in each page of a paginated response.
The nextToken string that specifies which page of results to return in a paginated response.
Specifies which accounts to include in the response, based on the status of an account's relationship with the administrator account. By default, the response includes only current member accounts. To include all accounts, set this value to false.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://macie2.{region}.amazonaws.com/members' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}